#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'berita.listpengumuman'}
#{/set}
<div class="breadcrumb">&{'berita.listpengumuman'}</div>
<div class="content">
  <div class="row">
  	<div class="col-md-3"><img alt="gbr03" src="#{assets '/images/imgng/CariPengumuman.png'/}" class="img-thumbnail"/></div>
  	<div class="col-md-9">
         <table class="table table-sm" id="tblBerita">
          <thead>
                 <tr>
                    <th>&{'berita.tanggal'}</th>
                    <th>&{'berita.judulpengumuman'}</th>
                 </tr>
          </thead>
          <tbody>
          </tbody>
       </table>
  	</div>
  </div>
</div>


#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var beritaView = #{jsRoute @admin.BeritaCtr.pengumuman_detil(':id') /};
var table = $("#tblBerita").DataTable({
        order: [[ 0, "desc"]],
        ajax: {
            url : "@{DataTableCtr.pengumuman()}",
            data: function (d) {
                d.authenticityToken = '${session.getAuthenticityToken()}';
            }
        },
        columns: [{render: function(data, type, row) {
        	 	var ids = row[0];
        		var judul = row[1];
        		row[0] = row[2];
        		row[1] = '<a href="'+beritaView.url({id:ids})+'" target="_blank">'+judul+'</a>';
        		return row[0];
        	}},null]
    });
    $('#tblBerita_filter input').unbind();
    $('#tblBerita_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}

